Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>
Summary:   	Zip is a compression and file packaging/archive utility.
Name:      	zip
Version:   	2.3.2
Release:   	1
Provides:  	zip	
License: 	Info-ZIP
URL:		http://www.info-zip.org/pub/infozip/Zip.html
Group:     	Archiving/Compression  
Source0: 	zip232.tar.gz
Patch0:         zip-makefile.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	glibc-devel

%description
Zip is useful for packaging a set of files for distribution, for archiving files, and for saving disk space by temporarily compressing unused files or directories. Zip puts one or more compressed files into a single ZIP archive, along with information about the files (name, path, date, time of last modification, protection, and check information to verify file integrity). An entire directory structure can be packed into a ZIP archive with a single command. 
Zip has one compression method (deflation) and can also store files without compression. Zip automatically chooses the better of the two for each file. Compression ratios of 2:1 to 3:1 are common for text files.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n zip-2.32
%patch0 -p1

%build
make -f unix/Makefile generic




%install
make -f unix/Makefile install DESTDIR=$RPM_BUILD_ROOT 


%files
%defattr(-,root,root)
%_bindir/zip
%_bindir/zipcloak
%_bindir/zipnote
%_bindir/zipsplit
%_mandir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Jul 14 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.3.2-1
- Version Update
* Sun Jun 26 2005 Christian Metzen <metzench@ccux-linux.de> 2.3.1-1
- Version Update to 2.3.1 / rebuilt specfile
* Fri Apr 16 2004 Christian Metzen <metzench@ccux-linux.de> 2.3-1
- Initial Release
